using EEMSUIClient.Data;
using System.Net;

namespace EEMSUIClient.Services;

public class ClientBaseProvider(ConfigService configService, RunningData runningData) : IClientBaseProvider
{
    string? IClientBaseProvider.RecipePath { get; set; }
    string? IClientBaseProvider.ConfigPath { get; set; }

    bool IClientBaseProvider.AllowReceiveFile()
    {
        return true;
    }

    void IClientBaseProvider.FileReceivedNotify(FileType fileType, string path)
    {
        //Log Here
    }

    void IClientBaseProvider.StartFileReceiveNotify(FileType fileType)
    {
        //Log Here

    }

    void IClientBaseProvider.UpdateDeviceInfo(DeviceInfo deviceInfo)
    {
        deviceInfo.Adapt(runningData.DeviceInfo);
        configService.SaveDeviceInfo();
    }
}
